| Qore TelnetClient Module Reference 1.7

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TelnetClient::TelnetConnection Class Reference

class for Telnet connections; returns an object of class TelnetClient for connecting to telnet sessions More...

## Public Member Functions
| constructor (hash< auto > config, *hash< auto > attr)
| creates the TelnetConnection connection object
| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the TelnetConnection connection object
*hash< auto > | getRuntimeOptions ()
| returns runtime options
string | getType ()
| returns `"telnet"`

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
TelnetClient | getImpl (bool connect=True, *hash rtopts)
| returns an TelnetClient object

## Detailed Description

class for Telnet connections; returns an object of class TelnetClient for connecting to telnet sessions

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  TelnetClient 1.3

## Member Function Documentation

## ◆ constructor() [1/2]

TelnetClient::TelnetConnection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )

creates the TelnetConnection connection object

Parameters

  config | with the following keys: name (required string): the connection name display_name (optional string): the display name short_desc (optional string): a short description in plain text desc (optional string): a long description with markdown formatting url (required string): the connection URL opts (optional hash): connection options logger (optional LoggerInterface object): logger for the connection
  attr | optional connection attributes monitor (optional bool): should the connection be monitored? Default: True enabled (optional bool): is the connection enabled? Default: True locked (optional bool): is the connection locked? Default: False debug_data (optional bool): debug data? Default: False tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute

## ◆ constructor() [2/2]

TelnetClient::TelnetConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = {},
|  | hash | options = {} )

creates the TelnetConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

TelnetClient TelnetClient::TelnetConnection::getImpl | ( | bool | connect = True,
|  | *hash | rtopts )
| protected

returns an TelnetClient object

Parameters

  connect | if True, then TelnetClient::connect() is called
  rtopts | supports the following runtime options in getImpl() for connection logging: `"log"`: a closure accepting a single string for logging `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  an TelnetClient object

## ◆ getRuntimeOptions()

*hash< auto > TelnetClient::TelnetConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging